SchemaSpec (Hyperic HQ Plugin API)
Keywords: org.hyperic.tools.ant.dbupgrade.SchemaSpec class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.tools.ant.dbupgrade
Class SchemaSpec

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.hyperic.tools.ant.dbupgrade.SchemaSpec

All Implemented Interfaces:
  java.lang.Comparable, org.apache.tools.ant.TaskContainer

    public class SchemaSpec

extends org.apache.tools.ant.Task
implements org.apache.tools.ant.TaskContainer, java.lang.Comparable

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`SchemaSpec(DBUpgrader parent)`

Method Summary
`void` | `addTask(org.apache.tools.ant.Task t)`
`int` | `compareTo(java.lang.Object o)`
`void` | `execute()`
`SchemaVersion` | `getVersion()`
`void` | `initialize(java.sql.Connection conn, DBUpgrader upgrader)`
`void` | `setVersion(java.lang.String v)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SchemaSpec

    public SchemaSpec(DBUpgrader parent)

Method Detail

### setVersion

    public void setVersion(java.lang.String v)

### getVersion

    public SchemaVersion getVersion()
                             throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### initialize

    public void initialize(java.sql.Connection conn,
                           DBUpgrader upgrader)

### addTask

    public void addTask(org.apache.tools.ant.Task t)

  Specified by:
    `addTask` in interface `org.apache.tools.ant.TaskContainer`

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.